@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');
body {
    margin: 0;
    font-family: "Roboto", sans-serif;
    font-weight: 400;
    font-style: normal;
    color: black;
}
nav {
  width: 100%;
  float: left;
  height: 50px;
  background-color: #008DDA;
  line-height: 50px;
  border-bottom: 1px solid #41C9E2;
}
nav #menu_in {
  width: 1200px;
  margin: auto;
  display: grid;
  grid-template-columns: 1fr 4fr;
}
nav #menu_in #brandname {
  text-indent: 20px;
  color: white;
  text-shadow: 1px 1px 1px black;
}
nav #menu_in #menu ul{
  margin: 0;
  padding: 0;
  list-style-type: none;
  float: right;
  margin-right: 20px;
}
nav #menu_in #menu ul a {
  color: white;
  text-decoration: none;
  text-shadow: 1px 1px 1px black;
}
nav #menu_in #menu ul a li {
  display: inline-block;
  float: left;
  padding-right: 20px;
  padding-left: 20px;
  transition: 200ms ease-in-out;
}
nav #menu_in #menu ul a:hover li {
  background-color: #41C9E2;
}
nav #menu_in #menu ul a:last-child {
  display: none;
}

header {
  width: 100%;
  float: left;
}
header #header {
  width: 100%;
  position: relative;
  margin: auto;
  margin-bottom: 20px;
}
main {
  width: 100%;
  float: left;
  min-height: 200px;
}
#main_in {
  display: grid;
  grid-gap: 20px;
}
#new_collection {
  width: 100%;
  float: left;
  margin-top: 20px;
}
#new_collection_in {
  min-height: 80px;
  background-color: #008DDA;
  line-height: 80px;
  text-align: center;
  border: 1px solid #008DDA;
  color: white;
  text-shadow: 1px 1px 1px black;
}
#n_products {
  width: 100%;
  float: left;
  margin-top: 20px;
}
#n_products_in {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-gap: 20px;
}
#n_products_in a {
  text-decoration: none;
  color: black;
}
.mainpage_prd {
  padding-bottom: 20px;
}
.mainpage_prd_content {
  width: 370px;
  text-indent: 10px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.mainpage_prd_content h4 {
  width: 370px;
  text-indent: 10px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
footer {
  width: 100%;
  float: left;
  margin-top: 20px;
  margin-bottom: 60px;
  text-color: white;
  text-shadow: 1px 1px 1px black;
}
#footer_in {
  min-height: 50px;
  background-color: #008DDA;
  line-height: 50px;
  border: 1px solid #008DDA;
}
#footer_in > div {
  margin-left: 20px;
  margin-right: 20px;
}
.prd a img{
  border: 1px solid #008DDA;
  transition: 350ms ease;
}
.prd a img:hover {
  border: 1px solid #41C9E2;
}

@media only screen and (min-width: 1200px) {
  /* Masaüstü için stiller burada */
  nav #menu_in {
    font-size: 18px;
  }
  nav #menu_in #responsive_menu {
    display: none;
  }
  #main_in {
    width: 1160px;
    margin: auto;
    grid-template-columns: 1fr 1fr 1fr;
  }
  #new_collection_in {
    width: 1160px;
    margin: auto;
  }
  #footer_in {
    width: 1160px;
    margin: auto;
  }
  #n_products_in {
    width: 1160px;
    margin: auto;
  }
}

@media only screen and (min-width: 768px) and (max-width: 1199px) {
  /* Tabletler ve diğer orta boyutlu cihazlar için stiller burada */
  nav #menu_in {
    width: 100%;
    font-size: 18px;
    grid-template-columns: 1fr 1fr;
  }
  nav #menu_in #menu ul a {
    display: none;
  }
  nav #menu_in #menu ul a:last-child {
    display: inline-block;
  }
  nav #menu_in #responsive_menu {
    margin-top: 51px;
    position: absolute;
    z-index: 1;
    width: 100%;
    background-color: #008DDA;
  }
  nav #menu_in #responsive_menu ul{
    margin: 0;
    padding: 0;
    list-style-type: none;
  }
  nav #menu_in #responsive_menu ul a {
    text-decoration: none;
  }
  nav #menu_in #responsive_menu ul a li {
    text-indent: 20px;
    color: white;
    text-shadow: 1px 1px 1px black;
    border-bottom: 1px solid #41C9E2;
    display: none;
  }
  nav.open #menu_in #responsive_menu ul a li{
    display: block;
  }
  #main_in {
    width: 100%;
    grid-template-columns: 1fr;
  }
  #main_in .prd {
    margin-left: 20px;
    margin-right: 20px;
  }
  #new_collection_in {
    margin-left: 20px;
    margin-right: 20px;
  }
  #n_products_in {
    grid-template-columns: 1fr;
    margin-right: 20px;
    margin-left: 20px;
  }
  #footer_in {
    margin-left: 20px;
    margin-right: 20px;
  }
}

@media only screen and (max-width: 767px) {
  /* Mobil cihazlar için stiller burada */
  nav #menu_in {
    width: 100%;
    font-size: 18px;
    grid-template-columns: 1fr 1fr;
  }
  nav #menu_in #menu ul a {
    display: none;
  }
  nav #menu_in #menu ul a:last-child {
    display: inline-block;
  }
  nav #menu_in #responsive_menu {
    margin-top: 51px;
    position: absolute;
    z-index: 1;
    width: 100%;
    background-color: #008DDA;
  }
  nav #menu_in #responsive_menu ul{
    margin: 0;
    padding: 0;
    list-style-type: none;
  }
  nav #menu_in #responsive_menu ul a {
    text-decoration: none;
  }
  nav #menu_in #responsive_menu ul a li {
    text-indent: 20px;
    color: white;
    text-shadow: 1px 1px 1px black;
    border-bottom: 1px solid #41C9E2;
    display: none;
  }
  nav.open #menu_in #responsive_menu ul a li{
    display: block;
  }
  #main_in {
    width: 100%;
    grid-template-columns: 1fr;
  }
  #main_in .prd {
    margin-left: 20px;
    margin-right: 20px;
  }
  #new_collection_in {
    margin-left: 20px;
    margin-right: 20px;
  }
  #n_products_in {
    grid-template-columns: 1fr;
    margin-right: 20px;
    margin-left: 20px;
  }
  #footer_in {
    margin-left: 20px;
    margin-right: 20px;
  }
}

@media only screen and (max-width: 767px) and (orientation: landscape) {
  /* Yan çevrilmiş mobil cihazlar için stiller burada */
  nav #menu_in {
    width: 100%;
    font-size: 18px;
    grid-template-columns: 1fr 1fr;
  }
  nav #menu_in #menu ul a {
    display: none;
  }
  nav #menu_in #menu ul a:last-child {
    display: inline-block;
  }
  nav #menu_in #menu ul a:last-child {
    display: inline-block;
  }
  nav #menu_in #responsive_menu {
    margin-top: 51px;
    position: absolute;
    z-index: 1;
    width: 100%;
    background-color: #008DDA;
  }
  nav #menu_in #responsive_menu ul{
    margin: 0;
    padding: 0;
    list-style-type: none;
  }
  nav #menu_in #responsive_menu ul a {
    text-decoration: none;
  }
  nav #menu_in #responsive_menu ul a li {
    text-indent: 20px;
    color: white;
    border-bottom: 1px solid #41C9E2;
    display: none;
  }
  nav.open #menu_in #responsive_menu ul a li{
    display: block;
  }
  #main_in {
    width: 100%;
    grid-template-columns: 1fr;
  }
  #main_in .prd {
    margin-left: 20px;
    margin-right: 20px;
  }
  #new_collection_in {
    margin-left: 20px;
    margin-right: 20px;
  }
  #n_products_in {
    grid-template-columns: 1fr;
    margin-right: 20px;
    margin-left: 20px;
  }
  #footer_in {
    margin-left: 20px;
    margin-right: 20px;
  }
}
